Loading...
Searching...
No Matches
CheckboxOption Struct Reference

Option for the Checkbox component. More...

## Static Public Member Functions

static CheckboxOption | Simple ()
| Option for standard Checkbox.

## Data Fields

ConstStringRef | label = "Checkbox"
Ref< bool > | checked = false
std::function< Element(const EntryState &)> | transform
std::function< void()> | on_change = [] {}
| Called when the user change the state.

## Detailed Description

Option for the Checkbox component.

Definition at line 135 of file component_options.hpp.

## Member Function Documentation

## Simple()

CheckboxOption Simple | ( |  | ) |

static

Option for standard Checkbox.

Definition at line 262 of file component_options.cpp.

## Field Documentation

## label

ConstStringRef label = "Checkbox"

Definition at line 139 of file component_options.hpp.

## checked

Ref<bool> checked = false

Definition at line 141 of file component_options.hpp.

## transform

std::function<Element(const EntryState&)> transform

Definition at line 144 of file component_options.hpp.

## on_change

std::function<void()> on_change = [] {}

Called when the user change the state.

Definition at line 148 of file component_options.hpp.

The documentation for this struct was generated from the following files:

- include/ftxui/component/component_options.hpp
- src/ftxui/component/component_options.cpp